std::ranges::elements_view::begin(3)

NAME
std::ranges::elements_view::begin - std::ranges::elements_view::begin

Synopsis
   constexpr auto begin() requires (!__SimpleView<V>); (1) (since C++20)
   constexpr auto begin() const requires ranges::range<const V>; (2) (since C++20)
   Returns an iterator to the first element of the elements_view.
   Let base_ be the underlying view.
   1) Equivalent to return /*iterator*/<false>(ranges::begin(base_));.
   2) Equivalent to return /*iterator*/<true>(ranges::begin(base_));.

Parameters
   (none)

Return value
   Iterator to the first element.

Example
    This section is incomplete
    Reason: no example

See also
   end returns an iterator or a sentinel to the end
   (C++20) (public member function)
   ranges::begin returns an iterator to the beginning of a range
   (C++20) (customization point object)

Category:
     * Todo no example